Bug 23113 - members/pay.tt account_grp is not longer used
Summary: members/pay.tt account_grp is not longer used
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-13 08:51 UTC by Martin Renvoize
Modified: 2020-02-17 21:08 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
This patch removes markup that is no longer required in the pay.tt template (this template is used in the accounting section for patrons).
Version(s) released in:
20.05.00, 19.11.03, 19.05.08, 18.11.14


Attachments
Bug 23112: (follow-up) Fix test as per feedback (845 bytes, patch)
2020-01-07 10:17 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 23113: members/pay.tt account_grp is not longer used (1.33 KB, patch)
2020-01-07 12:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23113: members/pay.tt account_grp is not longer used (1.38 KB, patch)
2020-01-27 00:49 UTC, David Nind
Details | Diff | Splinter Review
Bug 23113: members/pay.tt account_grp is not longer used (1.43 KB, patch)
2020-01-27 22:04 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2019-06-13 08:51:05 UTC
I'm pretty sure the account_grp totals are never set anywhere so we can remove them from the templates now?
Comment 1 Andrew Isherwood 2020-01-07 10:17:38 UTC
Created attachment 96869 [details] [review]
Bug 23112: (follow-up) Fix test as per feedback

As per comment #48
Comment 2 Andrew Isherwood 2020-01-07 10:18:25 UTC
Comment on attachment 96869 [details] [review]
Bug 23112: (follow-up) Fix test as per feedback

Sorry, attached to the wrong bug!
Comment 3 Owen Leonard 2020-01-07 12:40:55 UTC
Created attachment 96889 [details] [review]
Bug 23113: members/pay.tt account_grp is not longer used

This patch removes obsolete markup from pay.tt.

To test, apply the patch and search the Koha codebase for instances of
"account_grp" There should be none.

Log in to the staff client and go to the account of a patron who has
fines. Confirm that the "Accounting" page ("Make a payment" tab) works
correctly.
Comment 4 David Nind 2020-01-27 00:49:21 UTC
Created attachment 97952 [details] [review]
Bug 23113: members/pay.tt account_grp is not longer used

This patch removes obsolete markup from pay.tt.

To test, apply the patch and search the Koha codebase for instances of
"account_grp" There should be none.

Log in to the staff client and go to the account of a patron who has
fines. Confirm that the "Accounting" page ("Make a payment" tab) works
correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Katrin Fischer 2020-01-27 22:04:30 UTC
Created attachment 98006 [details] [review]
Bug 23113: members/pay.tt account_grp is not longer used

This patch removes obsolete markup from pay.tt.

To test, apply the patch and search the Koha codebase for instances of
"account_grp" There should be none.

Log in to the staff client and go to the account of a patron who has
fines. Confirm that the "Accounting" page ("Make a payment" tab) works
correctly.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Martin Renvoize 2020-01-28 09:46:27 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-02-10 22:44:39 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 8 Lucas Gass 2020-02-14 18:39:51 UTC
backported to 19.05.x for 19.05.08
Comment 9 Hayley Mapley 2020-02-17 21:08:00 UTC
Backported to 18.11.x for 18.11.14.